# pytest

Python Modul zur Auswertung von Versuchsdaten des Straßenbaus

## Übersicht
### Level 1: System Context diagram


## Struktur der Daten/Datenmodell

```mermaid  
classDiagram
    Project --> Workpackage

    Organisation --> Material
    Organisation --> Project
    Organisation --> User


    Material --> Sheartest
    Material --> CITT
    

    Sheartest --> ShearTestData
    Sheartest <-- Project
    Sheartest <.. Workpackage

    CITT --> CITTData
    CITT <-- Project
    CITT <.. Workpackage

    Project --> Material

    User ..> Project
    User ..> Material
    User ..> Workpackage
    User --> CITT
    User --> Sheartest

    Sheartest <-- Organisation


    class Organisation{

    }

    class User {
        orgID
    }

    class Project{
        orgID: Organisation ID
        (uID): User ID

    }

    class Workpackage{
        pID: Project ID
        (uID): User ID

    }

    class Material{
        orgID: Organisation ID
        [pID]: Project ID
        (uID): User ID

    }

    class CITT {
        mID: Material ID
        pID: Project ID
        (wIP): workpackage ID
        (uID): User ID

    }

    class Sheartest {
        orgID:
        mID: Material ID
        pID: Project ID
        (wIP): workpackage ID
        (uID): User ID

    }

    class ShearTestData {
        shearID: Sheartest ID

    }

    class CITTData {
        cittID: CITT ID

    }