import datetime

from mongoengine import *


class Organisation(Document):

    name = StringField(required=True)
    name_short = StringField(required=True)

    date = DateTimeField(default=datetime.datetime.now,
                         wtf_options={"render_kw": {
                             "step": "60"
                         }})

    meta = {
        'allow_inheritance': True,
        'index_opts': {},
        'index_background': True,
        'index_cls': False,
        'auto_create_index': True,
        'collection': 'organisation'
    }


class User(Document):

    active = BooleanField(required=True, default=True)

    org_id = LazyReferenceField(Organisation,
                                required=True,
                                reverse_delete_rule=CASCADE)

    date_added = DateTimeField(default=datetime.datetime.now,
                               wtf_options={"render_kw": {
                                   "step": "60"
                               }})

    name = StringField(required=True)

    meta = {
        'allow_inheritance': True,
        'index_opts': {},
        'index_background': True,
        'index_cls': False,
        'auto_create_index': True,
        'collection': 'user'
    }