import datetime

from mongoengine import *

from .project import Project
from .usermanagement import User


class Workpackage(Document):

    name = StringField(required=True)
    name_short = StringField(required=False)
    wp_id = StringField(required=True)

    project_id = LazyReferenceField(Project, required=True)

    user_id = LazyReferenceField(User,
                                 required=False,
                                 reverse_delete_rule=DO_NOTHING)

    date = DateTimeField(default=datetime.datetime.now,
                         wtf_options={"render_kw": {
                             "step": "60"
                         }})

    meta = {
        'allow_inheritance': True,
        'index_opts': {},
        'index_background': True,
        'index_cls': False,
        'auto_create_index': True,
        'collection': 'workpackages'
    }